Bug 1266186 - Review Request: jeromq - Pure Java implementation of libzmq
Review Request: jeromq - Pure Java implementation of libzmq
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1266067
  Show dependency treegraph
 
Reported: 2015-09-24 13:44 EDT by Mikolaj Izdebski
Modified: 2015-10-12 14:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 14:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2015-09-24 13:44:34 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/jeromq/jeromq.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/jeromq/jeromq-0.3.5-1.fc24.src.rpm
Description: Pure Java implementation of libzmq.
Fedora Account System Username: mizdebsk
Comment 1 Upstream Release Monitoring 2015-09-25 07:28:22 EDT
msimacek's scratch build of jeromq-0.3.5-1.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11225474
Comment 2 Michael Simacek 2015-09-25 08:16:42 EDT
(In reply to Upstream Release Monitoring from comment #1)
> msimacek's scratch build of jeromq-0.3.5-1.fc24.src.rpm for rawhide failed
> http://koji.fedoraproject.org/koji/taskinfo?taskID=11225474

Multiple tests fail in koji and some other tests fail for me locally, I'd suggest disabling them (probably entirely).

According to comments in Java files, the license should be LGPLv3+.
Comment 3 Mikolaj Izdebski 2015-09-25 09:21:50 EDT
Thanks. All tests pass on my system. Next week I will see what can be done about running or skipping them in Koji.
Comment 4 Mikolaj Izdebski 2015-10-05 02:07:25 EDT
Updated package:
- skipped running tests
- added comment clarify licensing (I kept license as LGPLv3 only)

Spec URL: http://mizdebsk.fedorapeople.org/review/jeromq/jeromq.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/jeromq/jeromq-0.3.5-2.fc24.src.rpm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11330087
Comment 5 Upstream Release Monitoring 2015-10-05 02:07:29 EDT
mizdebsk's scratch build of jeromq-0.3.5-2.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11330087
Comment 6 Michael Simacek 2015-10-05 08:03:27 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* LGPL (v3 or later)", "Unknown or generated". 5
     files have unknown license. Detailed output of licensecheck in
     /home/msimacek/reviews/1266186-jeromq/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jeromq-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jeromq-0.3.5-2.fc24.noarch.rpm
          jeromq-javadoc-0.3.5-2.fc24.noarch.rpm
          jeromq-0.3.5-2.fc24.src.rpm
jeromq.noarch: W: spelling-error Summary(en_US) libzmq -> Librium
jeromq.noarch: W: spelling-error %description -l en_US libzmq -> Librium
jeromq.src: W: spelling-error Summary(en_US) libzmq -> Librium
jeromq.src: W: spelling-error %description -l en_US libzmq -> Librium
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
jeromq (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

jeromq-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
jeromq:
    jeromq
    mvn(org.zeromq:jeromq)
    mvn(org.zeromq:jeromq:pom:)
    osgi(org.zeromq.jeromq)

jeromq-javadoc:
    jeromq-javadoc



Source checksums
----------------
https://github.com/zeromq/jeromq/archive/v0.3.5.tar.gz#/jeromq-0.3.5.tar.gz :
  CHECKSUM(SHA256) this package     : 3f1fddf982de73b8a63b6051017a6a0945cfab036e0b7a858152d748c755d736
  CHECKSUM(SHA256) upstream package : 3f1fddf982de73b8a63b6051017a6a0945cfab036e0b7a858152d748c755d736


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1266186
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


APPROVED.
Comment 7 Mikolaj Izdebski 2015-10-05 08:06:23 EDT
New Package SCM Request
=======================
Package Name: jeromq
Short Description: Pure Java implementation of libzmq
Owners: mizdebsk msrb msimacek
Branches: f23
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2015-10-05 19:11:30 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 9 Mikolaj Izdebski 2015-10-12 14:23:44 EDT
Built for rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=691269
Closing.

Note You need to log in before you can comment on or make changes to this bug.